Package org.kapott.hbci.GV.parsers

## Class ParsePain00800110

- java.lang.Object
- - org.kapott.hbci.GV.parsers.AbstractSepaParser<java.util.List<java.util.Properties>>
  - - org.kapott.hbci.GV.parsers.ParsePain00800110

All Implemented Interfaces:
  `ISEPAParser<java.util.List<java.util.Properties>>`

    public class ParsePain00800110
    extends AbstractSepaParser<java.util.List<java.util.Properties>>

Parser-Implementierung fuer Pain 008.001.10.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.kapott.hbci.GV.parsers.ISEPAParser

`ISEPAParser.Names`

### Constructor Summary

Constructors
`ParsePain00800110()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse​(java.io.InputStream xml, java.util.List<java.util.Properties> sepaResults)` Parst SEPA-XML-Daten aus dem Stream und schreib die Ergebnisse in die Liste von Properties-Objekten.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParsePain00800110

    public ParsePain00800110()

### Method Detail

#### parse

    public void parse​(java.io.InputStream xml,
                      java.util.List<java.util.Properties> sepaResults)

Description copied from interface: `ISEPAParser`
Parst SEPA-XML-Daten aus dem Stream und schreib die Ergebnisse in die Liste von Properties-Objekten.

Parameters:
  `xml` - der Stream mit den XML-Daten.
  `sepaResults` - das Zielobjekt, in das die Daten gelesen werden.
See Also:
  `ISEPAParser.parse(java.io.InputStream, java.lang.Object)`